<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
    <title>Edgar Login</title>
    <style>
      <%- include(`${locals.partialsRoot}/_style`) %>
    </style>
    <%- include(`${locals.partialsRoot}/_public_head`) %>
    <link rel="stylesheet" href="/css/app.css" />
  </head>
  <body style="background-color: #fff">
    <br /><br />
    <%if (providers.aai) { %>
    <div class="text-center">
      <img src="/images/edgar.png" />
    </div>
    <br />
    <div class="container-fluid">
      <div class="col-6 offset-3">
        <div class="card mb-3">
          <div class="card-header text-center">
            <img width="120" src="/images/FER_logo.png" alt="FER users" />
          </div>
          <div class="card-body text-center">
            <h5 class="card-title">Please, <a href="/auth/aailogin">login here using AAI.</a></h5>
          </div>
        </div>
      </div>
    </div>
    <br />
    <div style="margin: auto"><p><%= authMessage %></p></div>
    <br />
    <div class="container-fluid">
      <div class="col-6 offset-3">
        <div class="card mb-3">
          <div class="card-header text-center">
            <img width="120" src="/images/not_FER_logo.png" alt="!FER users" />
          </div>
          <div class="card-body text-center">
            <div class="mx-auto" style="max-width: 360px">
              <% if(providers.google) { %>
              <a href="/auth/google" class="btn btn-block btn-social btn-google">
                <span class="fab fa-google"></span> Login with Google
              </a>
              <% } %> <% if(providers.facebook) { %>
              <a href="/auth/facebook" class="btn btn-block btn-social btn-facebook">
                <span class="fab fa-facebook-f"></span> Login with Facebook
              </a>
              <% } %> <% if(providers.twitter) { %>
              <a href="/auth/twitter" class="btn btn-block btn-social btn-twitter">
                <span class="fab fa-twitter"></span> Login with Twitter
              </a>
              <% } %>
            </div>
          </div>
        </div>
      </div>
    </div>

    <%} else {%>
    <div class="container-fluid">
      <div class="mx-auto" style="max-width: 90px">
        <i class="fa fa-user fa-5x"></i>
      </div>
      <br />
      <%= authMessage %> <% if(providers.local) { %>
      <div class="container" style="max-width: 200">
        <form class="form-signin" action="locallogin" method="post">
          <input
            type="text"
            name="username"
            class="form-control"
            placeholder="Username"
            required
            autofocus
          />
          <input
            type="password"
            name="password"
            class="form-control"
            placeholder="Password"
            required
          />
          <input
            type="submit"
            class="btn btn-lg btn-light btn-block btn-outline-dark"
            value="Log In"
          />
        </form>
      </div>
      <% } %>
      <div class="container-fluid" style="max-width: 360px">
        <% if(providers.google) { %>
        <a href="/auth/google" class="btn btn-block btn-social btn-google">
          <span class="fab fa-google"></span> Login with Google
        </a>
        <% } %> <% if(providers.facebook) { %>
        <a href="/auth/facebook" class="btn btn-block btn-social btn-facebook">
          <span class="fab fa-facebook-f"></span> Login with Facebook
        </a>
        <% } %> <% if(providers.twitter) { %>
        <a href="/auth/twitter" class="btn btn-block btn-social btn-twitter">
          <span class="fab fa-twitter"></span> Login with Twitter
        </a>
        <% } %> <% if(providers.aai) { %>
        <a href="/auth/aailogin" class="btn btn-block btn-social btn-vk">
          <span class="fa fa-adn"></span> Login with AAI
        </a>
        <% } %>
      </div>
      <% if(providers.dummy && settings.env === 'development') { %>
      <br />
      <h2 align="center">Dummy login</h2>
      <div class="container" style="max-width: 200">
        <form class="form-signin" action="simplelogin" method="post">
          <input
            type="text"
            name="username"
            class="form-control"
            placeholder="Username"
            required
            autofocus
          />
          <input
            type="password"
            name="password"
            class="form-control"
            placeholder="Password"
            value="tryingisthefirststeptowardsfailure@node.js"
            required
          />
          <input
            type="submit"
            class="btn btn-lg btn-light btn-block btn-outline-dark"
            value="Log In"
          />
        </form>
      </div>
    </div>
    <% } %> <%} %>
  </body>
</html>
